Package org.bgerp.dao.param

# Class ParamGroupDAO

java.lang.Object
ru.bgcrm.dao.CommonDAO
org.bgerp.dao.param.ParamGroupDAO

Direct Known Subclasses:
  `ParamGroupDAO`

public class ParamGroupDAO extends CommonDAO

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DIRECTORY_TYPE_PARAMETER_GROUP`

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParamGroupDAO(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteParameterGroup(int id)`
  `ParameterGroup`
  `getParameterGroup(int parameterGroupId)`
  `List<ParameterGroup>`
  `getParameterGroupList(String object)`
  `Set<Integer>`
  `getParameterIdsForGroup(int parameterGroupId)`
  `void`
  `updateParameterGroup(ParameterGroup parameterGroup)`

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DIRECTORY_TYPE_PARAMETER_GROUP

    public static final String DIRECTORY_TYPE_PARAMETER_GROUP
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ParamGroupDAO

    public ParamGroupDAO(Connection con)

- ## Method Details

  - ### getParameterGroupList

    public List<ParameterGroup> getParameterGroupList(String object) throws SQLException
    Throws:
      `SQLException`

  - ### getParameterGroup

    public ParameterGroup getParameterGroup(int parameterGroupId) throws SQLException
    Throws:
      `SQLException`

  - ### getParameterIdsForGroup

    public Set<Integer> getParameterIdsForGroup(int parameterGroupId) throws SQLException
    Throws:
      `SQLException`

  - ### updateParameterGroup

    public void updateParameterGroup(ParameterGroup parameterGroup) throws SQLException
    Throws:
      `SQLException`

  - ### deleteParameterGroup

    public void deleteParameterGroup(int id)